package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class EmissaoCardapioDiaPage extends PageBase {

    //Mapping
    By ClicarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-menu theme--light']");
    By CampodePesquisa = By.id("menuSearchInput");
    By ClicarnaEmissaoCardapio = By.xpath("//*[@class='v-list-item__title']");

    By CampoTipoCardapio = By.xpath("//input[@id='TIPOCARD']");
    By SelecionarTipoCardapio = By.xpath("//div[text()='0000000002 - ALMOÇO INFANTIL']");
    By CampoServico = By.xpath("//input[@id='SERVICO']");
    By SelecionarServico = By.xpath("//div[@class='v-list-item__content']//div[text()='00008 | ALMOÇO INFT']");
    By LupaParaEscolherPeriodo = By.xpath("//button[@id='SEARCHBUTTON']");
    By SelecionarPeriodo = By.xpath("//span[text()='07/05/2023']");

    By SelecionarImprimirNDPCAL = By.xpath("//label[text()='Imprimir NDPCAL']");
    By SelecionarImprimirMensagem = By.xpath("//label[text()='Imprimir Mensagem']");
    By SelecionarImprimirNutrientes = By.xpath("//label[text()='Imprimir Nutrientes']");

    By SelecionarParaGerarPDF = By.xpath("//button[@id='pdf']//span[@class='v-btn__content']");

    //Actions
    public void AcessarTela() {
        tempo();
        click(ClicarMenu);
        sendKeys(CampodePesquisa, "Emissão do Cardápio do Dia");
        tempo();
        click(ClicarnaEmissaoCardapio);
    }

    public void PreencherFiltros(){
        tempo();
        click(CampoTipoCardapio);
        click(SelecionarTipoCardapio);
        click(CampoServico);
        click(SelecionarServico);
        click(LupaParaEscolherPeriodo);
        click(SelecionarPeriodo);
    }

    public void MarcarOpcoes(){
       tempo();
       click(SelecionarImprimirNDPCAL);
       click(SelecionarImprimirMensagem);
       click(SelecionarImprimirNutrientes);
    }

    public void GerarPDF(){
        tempo();
        click(SelecionarParaGerarPDF);

    }

}
